#!/sbin/sh
# 
# /system/addon.d/99-photonq.sh
#

. /tmp/backuptool.functions

#Add etc/apns-conf.xml to preserve APN-list as well
list_files() {
cat <<EOF
lib/libril.so
EOF
}

case "$1" in
  backup)
    list_files | while read FILE DUMMY; do
      backup_file $S/"$FILE"
    done
  ;;
  restore)
    list_files | while read FILE REPLACEMENT; do
      R=""
      [ -n "$REPLACEMENT" ] && R="$S/$REPLACEMENT"
      [ -f "$C/$S/$FILE" ] && restore_file $S/"$FILE" "$R"
    done
  ;;
  pre-backup)
    # Stub
  ;;
  post-backup)
    # Stub
  ;;
  pre-restore)
    mv "${S}/lib/libril.so" "${S}/lib/libril.so.orig"
  ;;
  post-restore)
    # Stub
  ;;
esac
